Album: Home
Artists:
- Kalibration
- Screamcatcher
Cover Artists:
- Kalibration
Date: November 10, 2011
Date Added: January 29, 2025
URLs:
- https://screamcatcher.bandcamp.com/album/home
Color: '#f68908'
Groups:
- Kalibration
- Beyond
Commentary: |-
    <i>Lilithtreasure:</i> (wiki editor, 5/14/2025)

    Around August 2020, [[album:grave]] and Home's track listings were modified to not include the vocal tracks; the updated version of the album does not include [[track:vitality-home]] ([capture](https://web.archive.org/web/20211230104052/https://screamcatcher.bandcamp.com/album/home)), which used to be the fifth and final track ([capture](https://web.archive.org/web/20120117153403/http://screamcatcher.net:80/album/home)).

    <i>Quasar Nebula:</i> (wiki editor, 5/14/2025)

    We're taking August 19, 2020 as the likely date that this album and [[album:grave]] were updated because on this date *both* albums were updated, and no others were (the other Screamcatcher albums were still untouched, since September 2012 or original album release, as of December 2021). We verified this by visiting the first capture, for all Screamcatcher albums, taken *later* than August 2020, and checking the Bandcamp-provided metadata `TralbumData.current.mod_date`.
---
Section: Main album
---
Track: Electric District
Duration: 04:30
URLs:
- https://screamcatcher.bandcamp.com/track/electric-district
---
Track: Squall
Suffix Directory: true
Always Reference By Directory: true
Duration: 03:01
URLs:
- https://screamcatcher.bandcamp.com/track/squall
---
Track: Secret Hyperspace Fractal Convenience Store
Duration: 03:39
URLs:
- https://screamcatcher.bandcamp.com/track/secret-hyperspace-fractal-convenience-store
---
Track: Headed Home (McCoy)
Duration: 03:36
URLs:
- https://screamcatcher.bandcamp.com/track/headed-home-mccoy
---
Section: Removed in 2020 track list
---
Track: Vitality
Additional Names:
- Name: >-
    Vitality (ft. gabriel. & ROMΔNCE)
  Annotation: >-
    [Bandcamp](https://web.archive.org/web/20111116044108/http://screamcatcher.net/track/vitality-ft-gabriel-rom-nce)
Suffix Directory: true
Always Reference By Directory: true
Artists:
- Kalibration
- Screamcatcher
- gabriel. (featuring)
- ROM∆NCE (featuring)
Contributors:
- ROM∆NCE (guest production)
- gabriel. (vocals, lyrics)
Duration: 4:13
Referenced Tracks:
- track:vitality-belief
Lyrics: |-
    <i>Kalibration:</i> ([artist's lyrics](https://web.archive.org/web/20111116044108/http://screamcatcher.net/track/vitality-ft-gabriel-rom-nce))

    (Fuck it.)
    I think you've said enough.
    You know I've had enough.
    I've had enough of this stupid bullshit.
    I'll take you serious
    When you get serious
    And you learn how to take a motherfucking hint.
    I'm out on the attack,
    so what you holding back?
    I'll make it up to you tenfold and then some.
    Say what you want,
    it's what I really want.
    Gabriel and Kal, fuck it mayne, I'm done.
